mintupdate client not working

Questions about applications and software
Forum rules
Before you post please read how to get help
Locked
Spargeltarzan
Level 1
Level 1
Posts: 6
Joined: Thu Aug 11, 2016 1:14 pm

mintupdate client not working

Post by Spargeltarzan »

Dear Community,

My automatic mintupdate client doesn't work any more. (Linux Mint 18, 64bit) It can't refresh update list.

Code: Select all

08.13@18:58 ++ Starting refresh (including refreshing the APT cache) 
08.13@18:58 -- Exception occured in the refresh thread: <class 'subprocess.CalledProcessError'> 
I tried reinstall from command line and checked

Code: Select all

inxi -r
and repos' list. apt update && apt upgrade works normally.

Code: Select all

Repos:  Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://mirror.inode.at/linuxmint/packages sarah main upstream import backport
           deb http://ubuntu.lagis.at/ubuntu xenial main restricted universe multiverse
           deb http://ubuntu.lagis.at/ubuntu xenial-updates main restricted universe multiverse
           deb http://ubuntu.lagis.at/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
           Active apt sources in file: /etc/apt/sources.list.d/pipelight-stable-xenial.list
           deb http://ppa.launchpad.net/pipelight/stable/ubuntu xenial main
           deb-src http://ppa.launchpad.net/pipelight/stable/ubuntu xenial main
Official Package Repo:

Code: Select all

deb http://mirror.inode.at/linuxmint/packages sarah main upstream import backport 
deb http://ubuntu.lagis.at/ubuntu xenial main restricted universe multiverse
deb http://ubuntu.lagis.at/ubuntu xenial-updates main restricted universe multiverse
deb http://ubuntu.lagis.at/ubuntu xenial-backports main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ xenial partner
Pipelight Repo:

Code: Select all

deb http://ppa.launchpad.net/pipelight/stable/ubuntu xenial main
deb-src http://ppa.launchpad.net/pipelight/stable/ubuntu xenial main

Code: Select all

apt update:

Ign:1 http://mirror.inode.at/linuxmint/packages sarah InRelease
OK:2 http://mirror.inode.at/linuxmint/packages sarah Release                                                             
OK:3 http://ubuntu.lagis.at/ubuntu xenial InRelease                                                                      
Holen:4 http://ubuntu.lagis.at/ubuntu xenial-updates InRelease [95,7 kB]                                                 
Holen:5 http://security.ubuntu.com/ubuntu xenial-security InRelease [94,5 kB]                                            
OK:6 http://ppa.launchpad.net/pipelight/stable/ubuntu xenial InRelease                                                   
OK:7 http://archive.canonical.com/ubuntu xenial InRelease                                                                
OK:9 http://ubuntu.lagis.at/ubuntu xenial-backports InRelease                                                            
Holen:10 http://ubuntu.lagis.at/ubuntu xenial-updates/main amd64 Packages [364 kB]
Holen:11 http://ubuntu.lagis.at/ubuntu xenial-updates/main i386 Packages [359 kB]
Holen:12 http://ubuntu.lagis.at/ubuntu xenial-updates/universe amd64 Packages [314 kB]
Holen:13 http://ubuntu.lagis.at/ubuntu xenial-updates/universe i386 Packages [310 kB]
Could you please advise?

Kind Regards
Spargeltarzan

User avatar
karlchen
Level 20
Level 20
Posts: 11865
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: mintupdate client not working

Post by karlchen »

Hello, Spargeltarzan,

Is the line

Code: Select all

Holen:13 http://ubuntu.lagis.at/ubuntu xenial-updates/universe i386 Packages [310 kB]
really the last line which the command apt update displays?

If this is so then I doubt that the command apt update works correctly. At the end of an apt update there should be lines looking like this

Code: Select all

Es wurden 4.665 kB in 12 s geholt (371 kB/s).                                  
Paketlisten werden gelesen... Fertig
Only if the last line ends with the word "Fertig", apt update has finished its job, and successfully.
For English speakers the same last line in case of success would be

Code: Select all

Reading package lists... Done
Regards,
Karl
Image
Linux Mint 19.2 64-bit Cinnamon, Total Commander 9.22a 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)

Spargeltarzan
Level 1
Level 1
Posts: 6
Joined: Thu Aug 11, 2016 1:14 pm

Re: mintupdate client not working

Post by Spargeltarzan »

Hello Karl,

sorry, now I attached the full prompt.

Code: Select all

richard@richard-yoga ~ $ sudo apt update
Ign:1 http://mirror.inode.at/linuxmint/packages sarah InRelease
OK:2 http://mirror.inode.at/linuxmint/packages sarah Release                   
OK:3 http://ubuntu.lagis.at/ubuntu xenial InRelease                            
Holen:4 http://ubuntu.lagis.at/ubuntu xenial-updates InRelease [95,7 kB]       
OK:5 http://archive.canonical.com/ubuntu xenial InRelease                      
OK:6 http://ppa.launchpad.net/pipelight/stable/ubuntu xenial InRelease         
OK:8 http://ubuntu.lagis.at/ubuntu xenial-backports InRelease                  
Holen:9 http://security.ubuntu.com/ubuntu xenial-security InRelease [94,5 kB]
Holen:10 http://ubuntu.lagis.at/ubuntu xenial-updates/main amd64 Packages [364 kB]
Holen:11 http://ubuntu.lagis.at/ubuntu xenial-updates/main i386 Packages [359 kB]
Holen:12 http://ubuntu.lagis.at/ubuntu xenial-updates/universe amd64 Packages [314 kB]
Holen:13 http://ubuntu.lagis.at/ubuntu xenial-updates/universe i386 Packages [310 kB]
Es wurden 1.537 kB in 0 s geholt (1.581 kB/s).             
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Alle Pakete sind aktuell.
Any idea what could be the problem?

Regards
Richard

User avatar
karlchen
Level 20
Level 20
Posts: 11865
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: mintupdate client not working

Post by karlchen »

Hello, Richard.

Yes, I see, the source list files are all right. And "sudo apt update" can update the locally cached software list without any problems.
This indeed suggests that the root cause must be inside mintupdate itself or inside a component which mintupdate uses.

Perhaps these steps will reveal some more details:
  • Right-click on the shield icon in the bottom panel and select "Beenden" (Terminate)
  • Open a terminal window and execute the commandline:

    Code: Select all

    /usr/bin/mintupdate
    Maybe the messages which will be displayed inside the terminal window will give a hint what the root cause might be.
The terminal output which those steps generated on Mint 17.1 here looks like this:

Code: Select all

$ /usr/bin/mintupdate
karl@unimatrix0 /usr/bin $ mintUpdate: Kein Prozess gefunden
(mintUpdate.py:5290): libglade-WARNING **: unknown attribute `swapped' for <signal>.
(mintUpdate.py:5290): libglade-WARNING **: unknown attribute `swapped' for <signal>.
(mintUpdate.py:5290): libglade-WARNING **: unknown attribute `swapped' for <signal>.
(mintUpdate.py:5290): libglade-WARNING **: unknown attribute `swapped' for <signal>.
All these messages are harmless. mintupdate works correctly here.
Maybe on your Mint 18 system there will be real error messages in the terminal window.

I wonder a bit whether terminating mintupdate (like explained above) and re-installing it might solve the problem:
  • Code: Select all

    sudo apt-get update
  • Code: Select all

    sudo apt-get install --reinstall --install-recommends mintupdate
  • Provided the first two steps work without error, relaunch mintupdate:

    Code: Select all

    /usr/bin/mintupdate
Regards,
Karl
Image
Linux Mint 19.2 64-bit Cinnamon, Total Commander 9.22a 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)

Spargeltarzan
Level 1
Level 1
Posts: 6
Joined: Thu Aug 11, 2016 1:14 pm

Re: mintupdate client not working

Post by Spargeltarzan »

Hello Karl,

It seems the output of /usr/bin/mintupdate shows an error:

Code: Select all

richard@richard-yoga ~ $ mintupdate
richard@richard-yoga ~ $ mintUpdate: Kein Prozess gefunden
Command '/usr/lib/linuxmint/mintUpdate/checkAPT.py --use-synaptic 52428825 2>/dev/null' returned non-zero exit status 1
-- Exception occured in the refresh thread: <class 'subprocess.CalledProcessError'>
I wonder why my mintupdate launches checkAPT.py and not mintUpdate.py like in your shell output. Anyway, can it be that the paketmanager synaptic makes the problem? I tried reinstall synaptic without any success.

Code: Select all

sudo apt-get install --reinstall --install-recommends mintupdate
reinstalls mintupdate without any errors but mintupdate client still doesn't work.

Kind Regards,
Richard

User avatar
karlchen
Level 20
Level 20
Posts: 11865
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: mintupdate client not working

Post by karlchen »

Hello, Richard.
Not that it helps solve the issue, but it might be a hint that the problem is not specific to your system only: lm 18 sarah mate 64 bit - mintupdate red cross
Seems to be the same symptoms. Might be the same root cause. If I only had an idea which one? :oops:

Karl
Image
Linux Mint 19.2 64-bit Cinnamon, Total Commander 9.22a 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)

User avatar
jsocoinac
Level 1
Level 1
Posts: 12
Joined: Sat Apr 30, 2016 11:42 pm

Re: mintupdate client not working

Post by jsocoinac »

I have the same problem.

One way to work towards a solution is to create an account on the Mint bugtracker (if you do not have one already; there is a 'log in/register' button on the top left) and then click the 'this bug effects me to' option on the relevant bug report (which does exist already).
Linux Mint 17.3 x64.

User avatar
janhostdk
Level 2
Level 2
Posts: 61
Joined: Wed Jun 29, 2016 5:01 am
Location: Dk

Re: mintupdate client not working

Post by janhostdk »

mayb this is i shot out in the blue..but

try adding a new user with admin priv. mayb even in another language ( one u know ;) ) ??
Dell Vostro 270 4gb ram with Ubuntu 18.04.1 Mate LTS, Linux Mint 18 Sarah Mate, Win
Acer swift 3, 4gb ram with Ubuntu 18.04.1 Mate LTS

User avatar
jsocoinac
Level 1
Level 1
Posts: 12
Joined: Sat Apr 30, 2016 11:42 pm

Re: mintupdate client not working

Post by jsocoinac »

> try adding a new user with admin priv. mayb even in another language ( one u know ;) ) ??

That would be a lot of work (if we include migrating profile data). So I would do it only if I thought there was a good chance of success. However, you suggest that the attempted solution is a shot in the dark.
Linux Mint 17.3 x64.

User avatar
janhostdk
Level 2
Level 2
Posts: 61
Joined: Wed Jun 29, 2016 5:01 am
Location: Dk

Re: mintupdate client not working

Post by janhostdk »

sorry i have no idea about your system
i'm on a home desktop that only i use
if it goes wrong i enjoy a fresh install and mayb another flavor
and linux apllies free iso's ready for download :)
so adding a new user and deleting again is easy...
migrating profile data...is not something i have crossed
Dell Vostro 270 4gb ram with Ubuntu 18.04.1 Mate LTS, Linux Mint 18 Sarah Mate, Win
Acer swift 3, 4gb ram with Ubuntu 18.04.1 Mate LTS

Spargeltarzan
Level 1
Level 1
Posts: 6
Joined: Thu Aug 11, 2016 1:14 pm

Re: mintupdate client not working

Post by Spargeltarzan »

Hi there,

I just did a system update again and reinstalled mintupdate (. This time the package gir1.2-appindicator3-0.1:amd64 has been installed too and now the mintupdater works fine again.

Code: Select all

sudo apt-get install --reinstall --install-recommends mintupdate
In my system update the packages ssh-askpass-gnome:amd64 (1:7.2p2-4ubuntu1, 1:7.2p2-4ubuntu2.1), openssh-sftp-server:amd64 (1:7.2p2-4ubuntu1, 1:7.2p2-4ubuntu2.1), openssh-server:amd64 has been updated. I don't see a connection so I believe the gir package fixed the problem!

Thanks a lot!

Kind Regards
Richard

User avatar
jsocoinac
Level 1
Level 1
Posts: 12
Joined: Sat Apr 30, 2016 11:42 pm

Re: mintupdate client not working

Post by jsocoinac »

Richard

Thanks for that - but it doesn't seem to work on my system. Admittedly, I haven't rebooted yet, but - having applied your attempted fix - I did restart Mintupdate, and restart Cinnamon (and my system is up to day), and . . no joy. Same error as before.

This might be of some help [EDIT: I mean, it might supply some information someone could work with to help solve the problem]. I did it after applying your attempted fix.

Code: Select all

$ sudo apt-get install gir1.2-appindicator3-0.1:amd64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
gir1.2-appindicator3-0.1 is already the newest version (12.10.1+15.04.20141110-0ubuntu1).
gir1.2-appindicator3-0.1 set to manually installed.
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
Linux Mint 17.3 x64.

Locked

Return to “Software & Applications”